Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I used to play mount and blade quite a lot and got back into playing it recently. I'm looking to download some mods and quite a few of the newer ones require version 1.154 whilst I noticed mine was at 1.151. I downloaded the 1.154 patch from here but it says its a patch for the napoleonic wars on the actual patch link and installer.

The problem is I got my version on gamersgate, my brother got his on steam and his upgraded to 1.154 automatically. I installed the above patch but it stayed at 1.151 so I don't know what to do. Do I have to upgrade patches one step at a time? Like 1.152 then 1.153 etc.?

Any help would be great thanks!

EDIT: The 1.153 patch from the same site above works fine so I'm at 1.153 now, just need that last push!!!

FINAL EDIT: It seems that 1.154 is the same as 1.153 once the mods don't use anything from the multiplayer add-on. Also A Clash of Kings mod is amazing!

share|improve this question
    
According to one comment here, the 1.154 patch only changes the Napoleonic DLC, so M&B:W v1.153 and v1.154 are the same without the DLC. Try the mods and see if they work on 1.153? –  SevenSidedDie Jan 25 '13 at 20:38
    
Yea I seen that post, I'll try to install the mod, the main one I want is the Clash of Kings one. I'll post back the results! –  boundless08 Jan 25 '13 at 20:55
    
If you keep an eye on the Steam version (especially if you wait until a Summer Sale, Spring Sale, Fall Sale, or Winter Sale), you can usually catch it for $5 or less. Just FYI if you'd like to get it on Steam. –  Lemmings19 Jan 25 '13 at 21:15
    
Clash of Kings is a truly epic mod, I can't wait till its done. –  z - Jan 25 '13 at 23:22
    
It's more than epic spartacus, it's amazing! I love the Rains of Castamere, so much depth in that mod!!!! –  boundless08 Jan 30 '13 at 21:47
show 1 more comment

1 Answer

up vote 2 down vote accepted

You can get all the patches from the TaleWorlds official website. Just select your game and go to the download section, and it will be here, either in patch or directly download the latest version.

Note that 1.54 should only bring modifications relative to NW, and the mod should work under 1.53 if if doesn't use any NW specific content, So the latest real Warband native version is 1.53, that you already have.

share|improve this answer
    
Okay thanks, that explains it perfectly. I was confused as the latest patch on the site was 1.153. So it either just says it on the mod site for shits or I need the NW dlc. –  boundless08 Jan 25 '13 at 21:17
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.